<?php

namespace App\Controllers\Admin\Equipment\Part;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;

use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\Part\SoftwareHelper;
use App\Services\Equipment\Part\SoftwareService;

class SoftwareController extends PartController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): SoftwareService
    {
        if (!$this->_service) {
            $this->_service = new SoftwareService();
        }
        return $this->_service;
    }
    public function getHelper(): SoftwareHelper
    {
        if (!$this->_helper) {
            $this->_helper = new SoftwareHelper();
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
}
